Main Page glibmm Namespaces Book

# Gio::FileAttributeInfo Class Reference

Information about a specific attribute - see FileAttributeInfoList. More...

List of all members.

## Public Member Functions
| FileAttributeInfo (const GFileAttributeInfo* ginfo)
| FileAttributeInfo (const FileAttributeInfo& other)
FileAttributeInfo& | operator= (const FileAttributeInfo& other)
| ~FileAttributeInfo ()
std::string | get_name () const
FileAttributeType | get_type () const
FileAttributeInfoFlags | get_flags () const
## Protected Attributes
std::string | m_name
FileAttributeType | m_type
FileAttributeInfoFlags | m_flags

## Detailed Description

Information about a specific attribute - see FileAttributeInfoList.

Since glibmm 2.16:

## Constructor & Destructor Documentation

Gio::FileAttributeInfo::FileAttributeInfo | ( | const GFileAttributeInfo * | ginfo | ) | `[explicit]`

Gio::FileAttributeInfo::FileAttributeInfo | ( | const FileAttributeInfo& | other | ) |

Gio::FileAttributeInfo::~FileAttributeInfo | ( |  | ) |

## Member Function Documentation

FileAttributeInfo& Gio::FileAttributeInfo::operator= | ( | const FileAttributeInfo& | other | ) |

std::string Gio::FileAttributeInfo::get_name | ( |  | ) | const

FileAttributeType Gio::FileAttributeInfo::get_type | ( |  | ) | const

FileAttributeInfoFlags Gio::FileAttributeInfo::get_flags | ( |  | ) | const

## Member Data Documentation

std::string Gio::FileAttributeInfo::m_name`[protected]`

FileAttributeType Gio::FileAttributeInfo::m_type`[protected]`

FileAttributeInfoFlags Gio::FileAttributeInfo::m_flags`[protected]`

The documentation for this class was generated from the following file:

- fileattributeinfo.h